Skip to main content

Documentation Index

Fetch the complete documentation index at: https://controlplanecorporation-tamir-docs-improvements.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Control Plane provides a tamper-proof audit trail service for both Control Plane and custom workload actions. To use this feature, a unique Audit Context needs to be created for your workload. The cpln audit context is pre-provisioned and captures all native Control Plane platform activity. Please refer to the audit trail reference page for additional details on how to query the audit trail and how to securely capture actions for your workloads.

Create an Audit Context

Refer to the Create an Audit Context guide for setup instructions.

Permissions

The following permissions can be assigned through policies to supported principal types:
PermissionDescriptionImplies
createCreate new contexts
editModify existing contextsview
manageFull accesscreate, edit, manage, readAudit, view, writeAudit
readAuditRead from this contextview
viewRead-only view
writeAuditWrite to this contextview

Access Report

Displays the permissions granted to principals for the audit context.

Writing audit records from a workload

  1. Make sure the workload is assigned an identity that is granted writeAudit permissions on the target audit context.
  2. Write events using the internal audit endpoint
    #minimal example
    curl -H "Content-Type: application/json" -X POST http://127.0.0.1:43000/audit/org/${CPLN_ORG}/auditctx/custom-audit-context?async=true -d '{"resource": {"id": "anyid123", "type": "anytype"}}'
    

CLI

To view the CLI documentation for Audit Contexts, see the Audit Context CLI reference.